Bug 16130 - Show the item non-public note on the detail view
Summary: Show the item non-public note on the detail view
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Liz Rea
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-22 23:28 UTC by Liz Rea
Modified: 2017-09-11 12:48 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16130 - Show the item non-public note on the detail view (4.17 KB, patch)
2016-03-22 23:52 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 16130 - Show the item non-public note on the detail view (4.27 KB, patch)
2016-03-23 03:29 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 16130 - Show the item non-public note on the detail view (4.41 KB, patch)
2016-03-23 08:26 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 16130 - Show the item non-public note on the detail view (4.48 KB, patch)
2016-03-23 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2016-03-22 23:28:39 UTC
We aren't showing the nonpublic note in the intranet detail view. It's useful to have there, so we should show it!
Comment 1 Liz Rea 2016-03-22 23:29:00 UTC
that's "nonpublic item note" in case that wasn't clear.
Comment 2 Liz Rea 2016-03-22 23:52:34 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2016-03-23 03:29:07 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2016-03-23 08:26:20 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2016-03-23 22:04:31 UTC
Created attachment 49474 [details] [review]
[PASSED QA] Bug 16130 - Show the item non-public note on the detail view

To test:

1) Ensure your non-public note field is mapped to the
   items.itemnotes_nonpublic database column
2) Edit an item, add a test nonpublic note
3) Verify the nonpublic note is shown in the items table on the Detail view.

sponsored-by: New Zealand Ministry of Education Library
sponsored-by: New Zealand Central Agencies Library

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Removed a stray Data::Dumper
Comment 6 Brendan Gallagher 2016-03-24 17:05:23 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!